Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartCase

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelFigureElement
              org.musoft.limo.model.Model
                  edu.udo.cs.miningmart.gui.model.MiningMartModel
                      edu.udo.cs.miningmart.gui.model.MiningMartCase

    public class MiningMartCase

extends MiningMartModel

A wrapper for a case-object. It's the parent-model.

Version:
  $Id: MiningMartCase.java,v 1.5 2006/09/27 15:00:00 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  `Case`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.gui.model.MiningMartModel
`mayChangeDocumentation`

Constructor Summary
`MiningMartCase(MiningMartApplication app, Case thecase)` Creates a new MiningMartCase.

Method Summary
`MiningMartChain` | `addMiningMartChain(org.musoft.limo.model.ModelFigureElement parent, MiningMartChain chain)` Adds a `MiningMartChain` to this `MiningMartCase`.
`StepTransition` | `addStepTransition(StepTransition transition)` Adds the specified `StepTransition` to this `MiningMartCase`.
`boolean` | `canAddChild(org.musoft.limo.model.ModelFigureElement child)`
`boolean` | `canDeleteInDatabase()` Gets the flag indicating that this obkect can be deleted in the database.
`boolean` | `canDestroy()`
`boolean` | `canRemoveChild(org.musoft.limo.model.ModelFigureElement child)`
`boolean` | `canSetParent(org.musoft.limo.model.ModelFigureElement parent)`
`MiningMartChain` | `createMiningMartChain(org.musoft.limo.model.ModelFigureElement parent, Chain chain, java.awt.Point point, java.awt.Rectangle bounds)` Creates a new `MiningMartChain` with the specified parameters.
`MiningMartChain` | `createMiningMartChain(org.musoft.limo.model.ModelFigureElement parent, java.lang.String name, java.awt.Point point, java.awt.Rectangle bounds)` Creates a new `MiningMartChain` with the specified parameters.
`StepTransition` | `createTransition(java.lang.String name, org.musoft.limo.model.ModelFigureElement start, org.musoft.limo.model.ModelFigureElement end, boolean existsTransition)` Creates a new `StepTransition`.
`int` | `decrementTransitionCounter()` Decrements the counter for the transitions.
`void` | `destroy()`
`void` | `dissolveMiningMartChain(MiningMartChain mchain)` Dissolves the specified `MiningMartChain`.
`boolean` | `existsTransition(org.musoft.limo.model.ModelFigureElement start, org.musoft.limo.model.ModelFigureElement end)` Checks wether a transition between the specified `ModelFigureElement`s exists.
`MiningMartApplication` | `getMMartApplication()` Gets the `MiningMartApplication`.
`java.lang.String` | `getName()` Gets the name of the `MiningMartCase`.
`Case` | `getTheCase()` Gets the `Case`
`int` | `getTransitionCounter()` Gets the counter for the transitions.
`java.lang.String` | `getType()`
`int` | `incrementTransitionCounter()` Increments the counter for the transitions.
`void` | `initTheCase()` Inits this `MiningMartCase`.
`void` | `organizeTransitions(boolean check)` Organizes the transitions.
`void` | `primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)` If the description of this `MiningMartCase` changed then set the documentation of the underlying `Case`.
`void` | `setDeleteInDatabase(boolean bool, boolean propagate)` Sets the flag that this object could be deleted in the database.
`void` | `setDirty(boolean dirty)` Sets the `MiningMartCase dirty.`
`void` | `setName(java.lang.String name)` Sets the name of the `MiningMartCase`.

Methods inherited from class org.musoft.limo.model.Model
`addConnection, changed, getChildOrConnection, getConnection, getConnection, getConnectionCount, getConnections, getDirty, getElement, getRootModel, getValidConnectionName, indexOfConnection, indexOfConnection, removeConnection, removeConnection`

Methods inherited from class org.musoft.limo.model.ModelFigureElement
`addChild, canSetBounds, canSetName, canSetPosition, clear, fireAddChild, fireCreateChild, fireCreateConnection, fireRemoveChild, fireSetParent, getBounds, getCenter, getChild, getChild, getChildCount, getChildren, getChildren, getChildren, getCorner, getFullName, getMaximumBounds, getMinimumBounds, getModel, getNeededBounds, getParent, getPosition, getValidChildName, indexOfChild, indexOfChild, isChildOf, layout, removeChild, setBounds, setBounds, setCenter, setIndex, setParent, setPosition, setPosition`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getListener, getListenerCount, indexOfAttribute, removeListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiningMartCase

    public MiningMartCase(MiningMartApplication app,
                          Case thecase)

  Creates a new MiningMartCase.

Method Detail

### setDeleteInDatabase

    public void setDeleteInDatabase(boolean bool,
                                    boolean propagate)

  Sets the flag that this object could be deleted in the database.

### canDeleteInDatabase

    public boolean canDeleteInDatabase()

  Gets the flag indicating that this obkect can be deleted in the database.

### getTransitionCounter

    public int getTransitionCounter()

  Gets the counter for the transitions.

### incrementTransitionCounter

    public int incrementTransitionCounter()

  Increments the counter for the transitions.

### decrementTransitionCounter

    public int decrementTransitionCounter()

  Decrements the counter for the transitions.

### getMMartApplication

    public MiningMartApplication getMMartApplication()

  Gets the `MiningMartApplication`.

### initTheCase

    public void initTheCase()

  Inits this `MiningMartCase`. It loads the chains and transitions between chains.

### organizeTransitions

    public void organizeTransitions(boolean check)
                             throws M4Exception

  Organizes the transitions.

  Throws:
    `M4Exception`

### existsTransition

    public boolean existsTransition(org.musoft.limo.model.ModelFigureElement start,
                                    org.musoft.limo.model.ModelFigureElement end)

  Checks wether a transition between the specified `ModelFigureElement`s exists.

  Returns:
    true if there exits a transition.

### addMiningMartChain

    public MiningMartChain addMiningMartChain(org.musoft.limo.model.ModelFigureElement parent,
                                              MiningMartChain chain)

  Adds a `MiningMartChain` to this `MiningMartCase`.

### createMiningMartChain

    public MiningMartChain createMiningMartChain(org.musoft.limo.model.ModelFigureElement parent,
                                                 java.lang.String name,
                                                 java.awt.Point point,
                                                 java.awt.Rectangle bounds)

  Creates a new `MiningMartChain` with the specified parameters.

  Parameters:
    `parent` - the MiningMartChain is child of this `ModelFigureElement`.
    `name` - the name of the `MiningMartChain`
    `point` - the `MiningMartChain` is placed at this point.
    `bounds` - the bounds of the figure.
  Returns:
    null if creating the MiningMartChain is permitted

### createMiningMartChain

    public MiningMartChain createMiningMartChain(org.musoft.limo.model.ModelFigureElement parent,
                                                 Chain chain,
                                                 java.awt.Point point,
                                                 java.awt.Rectangle bounds)

  Creates a new `MiningMartChain` with the specified parameters.

  Parameters:
    `parent` - the MiningMartChain is child of this `ModelFigureElement`.
    `chain` - the created `MiningMartChain` wrapps this `Chain`.
    `point` - the `MiningMartChain` is placed at this point.
    `bounds` - the bounds of the `MiningMartChain`.
  Returns:
    null if creating the MiningMartChain is permitted

### addStepTransition

    public StepTransition addStepTransition(StepTransition transition)

  Adds the specified `StepTransition` to this `MiningMartCase`.

### createTransition

    public StepTransition createTransition(java.lang.String name,
                                           org.musoft.limo.model.ModelFigureElement start,
                                           org.musoft.limo.model.ModelFigureElement end,
                                           boolean existsTransition)

  Creates a new `StepTransition`.

  Parameters:
    `the` - name of the transition
    `start` - the `StepTransition` starts at this `ModelFigureElement`.
    `end` - the `StepTransition` ends at this `ModelFigureElement`.
    `existsTransition` - if the transition exists then no new `TransitionFigure` is added.

### canAddChild

    public boolean canAddChild(org.musoft.limo.model.ModelFigureElement child)

  Overrides:
    `canAddChild` in class `org.musoft.limo.model.Model`

### canRemoveChild

    public boolean canRemoveChild(org.musoft.limo.model.ModelFigureElement child)

  Overrides:
    `canRemoveChild` in class `org.musoft.limo.model.Model`

### canSetParent

    public boolean canSetParent(org.musoft.limo.model.ModelFigureElement parent)

  Overrides:
    `canSetParent` in class `org.musoft.limo.model.ModelFigureElement`

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `org.musoft.limo.model.ModelElement`

### getName

    public java.lang.String getName()

  Gets the name of the `MiningMartCase`.

  Overrides:
    `getName` in class `org.musoft.limo.model.ModelElement`
  Returns:
    returns the name of the `Case`
  See Also:
    `M4Object.getName()`

### setName

    public void setName(java.lang.String name)

  Sets the name of the `MiningMartCase`. It means it sets the name of the `Case`.

  Overrides:
    `setName` in class `org.musoft.limo.model.ModelElement`
  See Also:
    `M4Object.setName(String)`

### getTheCase

    public Case getTheCase()

  Gets the `Case`

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `org.musoft.limo.model.ModelElement`

### primitiveAttributeChanged

    public void primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  If the description of this `MiningMartCase` changed then set the documentation of the underlying `Case`.

  Overrides:
    `primitiveAttributeChanged` in class `MiningMartModel`
  See Also:
    `ModelElement.primitiveAttributeChanged(ModelPrimitiveAttribute)`

### setDirty

    public void setDirty(boolean dirty)

  Sets the `MiningMartCase dirty.

  `
  Overrides:
    `setDirty` in class `org.musoft.limo.model.Model`
  See Also:
    `Model.setDirty(boolean)`

### dissolveMiningMartChain

    public void dissolveMiningMartChain(MiningMartChain mchain)
                                 throws M4Exception

  Dissolves the specified `MiningMartChain`.

  Throws:
    `M4Exception`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `org.musoft.limo.model.Model`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005